import javax.swing.JComponent;
import java.awt.*;
/**
 * A simple graphics component, displaying some rectangles.
 * Changes from version 6: translated the rectangle and drew it
 * again in a different color.
 * 
 * @author Stephen Bloch (partly copied from Horstmann's book)
 * @version 7, Sept 13 2006
 */
public class MyComponent extends JComponent
{
    /**
     * Constructor for objects of class MyComponent
     */
    public MyComponent()
    {
        // do nothing, for now.
    }

    /**
     * Display some rectangles.
     * 
     * @param  g    a Graphics context into which we are to draw
     */
    public void paintComponent (Graphics g) {
        Graphics2D g2 = (Graphics2D)g;
        
        Rectangle box1 = new Rectangle (5, 10, 20, 30);
        g2.draw(box1);
        
        box1.translate (15, 5);
        g2.setColor (Color.BLUE);
        g2.draw(box1);
    }
}
